Subject: [xml2rfc-dev] RFC 7991 issue #46: Schema Issue, RFC 7991, In Section 2.29, <li>, Mixed Content Model

From: [email-masked]
Date: Mon, 08 Oct 2018 07:46:30 -0700

This captures an issue noted during implementation, also described in
https://tools.ietf.org/html/draft-levkowetz-xml2rfc-v3-implementation#section-3.1.6.2

Specification: https://tools.ietf.org/html/rfc7991#section-2.29

---
Mixed Content Model

   The mixed content model for <li> —- either text and inline elements like
   sub, sup, bcp14, _or_ <t>, <ul>, <figure> etc, is non-intuitive and may
   be hard for users to keep straight.

   Proposal:        Consider simplifying the schema by requiring that text
                    and inline elements always are placed within a <t>
                    element.

   Implementation:  Not done in the current version of xml2rfc.

   This would apply also to other elements that today have alternative
   content models: <blockquote>, <dd>, <td>, and <th>.
---

Regards,
	Henrik

---
This issue is tracked at:
   https://github.com/rfc-format/draft-iab-xml2rfc-v3-bis/issues/46

Discussion should take place on this list.

---

From: Julian Reschke <[email-masked]>
Date: Mon, 8 Oct 2018 17:10:23 +0200

On 2018-10-08 16:46, [email-masked] wrote:
> ...

The goal of the current design was to keep simple lists simple, but to 
*allow* more complex lists.

Eliminating the simple form IMHO makes authoring harder,, not easier.

Best regards, Julian

---

From: Henrik Levkowetz <[email-masked]>
Date: Mon, 8 Oct 2018 17:46:18 +0200

Hi Julian,

> Eliminating the simple form IMHO makes authoring harder,, not easier.

Understood.  I think a distinction could be that it's maybe easier to work,
with once understood, but also maybe harder to grasp.

It would be good to hear thoughts on this from people who are users but were
not part of the design team, also.

Best regards,

	Henrik

---

From: Jim Schaad <[email-masked]>
Date: Mon, 8 Oct 2018 09:40:32 -0700

> -----Original Message-----
> From: xml2rfc-dev <[email-masked]> On Behalf Of Julian
> Reschke
> Sent: Monday, October 8, 2018 8:10 AM
> To: [email-masked]; [email-masked]
> Subject: Re: [xml2rfc-dev] RFC 7991 issue #46: Schema Issue, RFC 7991, In
> Section 2.29, <li>, Mixed Content Model
> 

I am neutral on this one.  I don't think that it really makes things either easier or harder by having or not having the required <t> element.   I would say keep things as they are until it is proven that this is a problem.

Jim

> 
> Best regards, Julian
> 
> _______________________________________________
> xml2rfc-dev mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/xml2rfc-dev

---

From: Martin J. Dürst <[email-masked]>
Date: Tue, 9 Oct 2018 14:48:21 +0900

> not part of the design team, also.

Having to add a <t> element just to be able to put text into a list item 
always struck me as one of the weirdest things in xml2rfc. So please 
don't do that, thanks!

Regards,   Martin.

---

From: Paul Hoffman <[email-masked]>
Date: Tue, 9 Oct 2018 15:17:15 +0000

> I am neutral on this one.  I don't think that it really makes things either easier or harder by having or not having the required <t> element.   I would say keep things as they are until it is prov…

I agree with Jim (neutral, want to hear if it is an issue for others to learn). I also agree with Henrik: it would be great to hear from other folks who weren't on the design team about this.

--Paul Hoffman

---

From: Miek Gieben <[email-masked]>
Date: Tue, 9 Oct 2018 17:57:37 +0100

I agree with keeping the current semantics. It also not hard to compile
markdown to it.

On Tue, 9 Oct 2018, 16:17 Paul Hoffman, <[email-masked]> wrote:

> > I am neutral on this one.  I don't think that it really makes things
> either easier or harder by having or not having the required <t> element.
>  I would say keep things as they are until it is proven that this is a
> problem.
>
> I agree with Jim (neutral, want to hear if it is an issue for others to
> learn). I also agree with Henrik: it would be great to hear from other
> folks who weren't on the design team about this.
>
> --Paul Hoffman_______________________________________________
> xml2rfc-dev mailing list
> [email-masked]